Skip to content

Data Manager API ​

POST Edit Table Permissions ​

This request edits table and column-level permissions.

Resource URL ​

https://www.mapquestapi.com/datamanager/v2/edit-table-permissions

Resource Information ​

Response FormatsJSON, XML
AuthenticationYes (Requires Key)
Rate LimitedYes

Request Parameters ​

Request ParameterDescriptionRequired
key
String
A unique key to authorize use of the API.Yes
inFormat
String
Specifies the format of the json/xml parameter. Must be one of the following, if supplied:
  • json
  • xml
Default = json
No
outFormat
String
Specifies the format of the response. Must be one of the following, if supplied:
  • json
  • xml
Default = json
No

Body Parameters ​

NameDescriptionRequired
clientId
String
This is the ClientID associated with the API Key.Yes
password
String
This is the registry password associated with the API Key.Yes
tableName
String
This is the complete name of the table.
Table names for legacy users are prefixed with mqap.CLIENT_ID_
Table names for new users are prefixed with mqap.APPLICATION_KEY_
Yes
columnPermissions[]
String[]
This parameter specifies the permissions settings for each column in the table by specifying the name and isPublic setting for each column.No
isPublic
Boolean
This determines if the table is publicly accessible; either true or false.
The default value is false.
No

Example Request ​

POST https://www.mapquestapi.com/datamanager/v2/edit-table-permissions?key=KEY&inFormat=json

Example Request Body ​

JSON
{
    "clientId": "CLIENT_ID",
    "password": "CLIENT_PASSWORD",
    "tableName": "mqap.TABLENAME",
    "columnPermissions": [
        {
            "name": "NAME",
            "isPublic": "boolean"
        },
        ...
    ],
    "isPublic": "boolean"
}
XML
<datamanager>
    <clientId>CLIENT_ID</clientId>
    <password>REGISTRY_PASSWORD</password>
    <tableName>TABLENAME</tableName>
    <columnPermissions>
        <column>
            <name>NAME</name>
            <isPublic>is_public</isPublic>
        </column>
        ...
    </columnPermissions>
    <isPublic>is_public</isPublic>
</datamanager>

Example Response ​

JSON
{
    "tableName": "mqap.TABLENAME",
    "columns": [
        {
            "name": "...",
            "type": "...",
            "isPublic": "..."
        }
    ],
    "isPublic": "..."
}
XML
<datamanager>
    <tableName>mqap.TABLENAME</tableName>
    <columns>
        <column>
            <name>...</name>
            <type>...</type>
            <isPublic>...</isPublic>
        </column>
    </columns>
    <isPublic>...</isPublic>
</datamanager>